#ifndef _TUTDISP_H
#define _TUTDISP_H
/*
  Tutanchamun, an arcade game
  Copyright (C) 1998  David Kastrup
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  */

#include <sys/time.h>
#include "tutan.h"

void d_bgshape(void *p, int x0, int y0);
void d_fgshape(void *p, int x0, int y0);
void d_remshape(void *p, int x0, int y0, int colour);
void *d_makebgshape(Tile p);
void *d_makepicshape(unsigned short p[3][48][3]);
void *d_makefgshape(Tile tile, Mask mask, int orientation);
void *d_makemaskshape(int color, Mask *mask,
		      void *source, int orientation);
void d_destroyfgshape(void *p);
void d_destroymaskshape(void *p);
void d_destroybgshape(void *p);
void d_destroyfgclear(void *p);
void d_destroypicshape(void *p);
void d_scrlft(void *buf[12]);
void d_scrrig(void *buf[12]);
void d_pict(void *p, int x, int y);
void d_rect(int colour, int x, int y, int xs, int ys);
void d_liftgates(int x, int y, int colour);
void d_opendoors(void *pic, int x0, int y0, int phase);
void d_drawshot(unsigned x, unsigned y, int w, int colour);
void d_write(char *p, int x, int y);
void d_wrbig(char *p, int x, int y);
void d_clearmansma(void);
void d_drasma(int n, void *p);
void d_clearsma(int n);
void d_draman(int n, void *p);
void d_demomessage(void);
void d_democlear(void);
void d_wrscore(int player, char *score);
void d_timedisplay(int player, char *time);
void d_wrtime(int player, char *time);
void d_timeclear(void);
void d_init(void);
unsigned d_joypause(int n, unsigned joymask);
void d_sleep(struct timeval * tv);
int d_smarky(void);
int d_fireky(void);
unsigned d_joystc(void);

#endif

